Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## commonj.work
Interface WorkListener

All Superinterfaces:
  EventListener

public interface WorkListener
extends EventListener

This is a callback interface called to report on the dispatching of a Work. It is implemented by the application and supplied to scheduleWork methods on a WorkManager. The J2EE context active on the thread during WorkManager scheduling will be applied each of the event methods. See `WorkManager` for details.

Since:
  1.0
See Also:
  `WorkManager`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `workAccepted(WorkEvent we)` This is called when the Work is accepted for dispatching.
`void` | `workCompleted(WorkEvent we)` This is called once Work.run returns.
`void` | `workRejected(WorkEvent we)` This is called when the Work cannot be processed prior to starting but after accept.
`void` | `workStarted(WorkEvent we)` This is called when the Work is about to start.

Method Detail

### workAccepted

    public void workAccepted(WorkEvent we)

  This is called when the Work is accepted for dispatching.

  Since:
    1.0

### workCompleted

    public void workCompleted(WorkEvent we)

  This is called once Work.run returns.

  Since:
    1.0

### workRejected

    public void workRejected(WorkEvent we)

  This is called when the Work cannot be processed prior to starting but after accept.

  Since:
    1.0

### workStarted

    public void workStarted(WorkEvent we)

  This is called when the Work is about to start. When this returns the Work.run is called.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD